package tcra.exercises.resolve_one_way_list_private;

import java.util.*;
import tcra.math.*;

public class ResolveOneWayList_PostClearListAssertion implements
      Assertion
{
   public ResolveOneWayList_PostClearListAssertion() {}
   
   @SuppressWarnings("unchecked")
   public boolean check(List<MathType> t)
   {
      MathString<MathType> prec    = (MathString<MathType>)t.get(2);
      MathString<MathType> rem     = (MathString<MathType>)t.get(3);
      
      if(prec.length() != 0) return false;
      if(rem.length() != 0) return false;
      
      return true;
   } // end check(List<MathType>)

   @SuppressWarnings("unchecked")
   public String toInstanceString(List<MathType> t)
   {
      return "";
   } // end toInstanceString(List<MathType>)

   public String toString()
   {
      return "";
   } // end toString()
} // end class
